Due to a recent update on Javascript code a full page refresh on your browser might be needed.
Bug 1795028 - Review Request: libqtolm - A Qt wrapper for libolm
Summary: Review Request: libqtolm - A Qt wrapper for libolm
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Artem
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-26 14:22 UTC by Vitaly Zaitsev
Modified: 2020-01-31 02:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-31 02:01:34 UTC
Type: ---
ego.cordatus: fedora-review+


Attachments (Terms of Use)

Description Vitaly Zaitsev 2020-01-26 14:22:04 UTC
Spec URL: https://github.com/EasyCoding/qmatrix/raw/master/libqtolm.spec
SRPM URL: https://xvitaly.fedorapeople.org/for-review/libqtolm-0-4.20190930gitf2d8e23.fc31.src.rpm
Description: Special Qt wrapper for libolm library.
Fedora Account System Username: xvitaly

Comment 1 Artem 2020-01-26 15:14:21 UTC
1. Summary: A Qt wrapper for libolm
   ->
   Summary: Qt wrapper for libolm

2. Source0: %{url}/-/archive/%{commit0}.tar.gz/%{name}-%{shortcommit0}.tar.gz
   ->
   Source0: %{url}/-/archive/%{commit0}/%{name}-%{version}.%{date}git%{shortcommit0}.tar.gz


Please fix this minor issues during import. Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: License file installed when any subpackage combination is installed.
[?]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/licenses/libqtolm(defaulting, C, Failed, set, to, locale,),
     /usr/include/qtolm(defaulting, C, Failed, set, to, locale,),
     /usr/lib64/cmake/QtOlm(defaulting, C, Failed, set, to, locale,)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[?]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libqtolm-0-4.20190930gitf2d8e23.fc32.x86_64.rpm
          libqtolm-devel-0-4.20190930gitf2d8e23.fc32.x86_64.rpm
          libqtolm-debuginfo-0-4.20190930gitf2d8e23.fc32.x86_64.rpm
          libqtolm-debugsource-0-4.20190930gitf2d8e23.fc32.x86_64.rpm
          libqtolm-0-4.20190930gitf2d8e23.fc32.src.rpm
libqtolm.x86_64: W: spelling-error Summary(en_US) libolm -> limbo
libqtolm.x86_64: W: spelling-error %description -l en_US libolm -> limbo
libqtolm.x86_64: W: no-documentation
libqtolm-devel.x86_64: W: no-documentation
libqtolm.src: W: spelling-error Summary(en_US) libolm -> limbo
libqtolm.src: W: spelling-error %description -l en_US libolm -> limbo
5 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (debuginfo)
-------------------
Checking: libqtolm-debuginfo-0-4.20190930gitf2d8e23.fc32.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "ru_UA.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "ru_UA.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
libqtolm-devel.x86_64: W: no-documentation
libqtolm.x86_64: W: spelling-error Summary(en_US) libolm -> limbo
libqtolm.x86_64: W: spelling-error %description -l en_US libolm -> limbo
libqtolm.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 4 warnings.



Source checksums
----------------
https://gitlab.com/b0/libqtolm/-/archive/f2d8e235a4af0625fdedaaf727fef5d51293bf1b.tar.gz/libqtolm-f2d8e23.tar.gz :
  CHECKSUM(SHA256) this package     : 2d24af6a98c361ddade7cf57dcee24c89962716304b99664d3bdedc9b1c67f1b
  CHECKSUM(SHA256) upstream package : 2d24af6a98c361ddade7cf57dcee24c89962716304b99664d3bdedc9b1c67f1b


Requires
--------
libqtolm (rpmlib, GLIBC filtered):
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.13)(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libolm.so.3()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    rtld(GNU_HASH)

libqtolm-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    cmake-filesystem(x86-64)
    libQtOlm.so.0.1()(64bit)
    libqtolm(x86-64)

libqtolm-debuginfo (rpmlib, GLIBC filtered):

libqtolm-debugsource (rpmlib, GLIBC filtered):



Provides
--------
libqtolm:
    libQtOlm.so.0.1()(64bit)
    libqtolm
    libqtolm(x86-64)

libqtolm-devel:
    cmake(QtOlm)
    libqtolm-devel
    libqtolm-devel(x86-64)
    pkgconfig(QtOlm)

libqtolm-debuginfo:
    debuginfo(build-id)
    libqtolm-debuginfo
    libqtolm-debuginfo(x86-64)

libqtolm-debugsource:
    libqtolm-debugsource
    libqtolm-debugsource(x86-64)



Generated by fedora-review 0.7.4 (54fa030) last change: 2019-12-07
Command line :/usr/bin/fedora-review -b 1795028
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, C/C++, Generic
Disabled plugins: Ocaml, Java, Perl, Haskell, Python, PHP, R, SugarActivity, fonts
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Gwyn Ciesla 2020-01-27 14:16:35 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/libqtolm

Comment 3 Fedora Update System 2020-01-27 19:15:00 UTC
FEDORA-2020-1a4a091881 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-1a4a091881

Comment 4 Fedora Update System 2020-01-31 02:01:34 UTC
libqtolm-0-4.20190930gitf2d8e23.fc31, libquotient-0.6.0-0.2.20200121gite3a5b3a.fc31, spectral-0-6.20200123git6af7bef.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.